Package com.collibra.dgc.core.api.model.meta.path

# Interface PathEdge

All Superinterfaces:
  `Serializable`

public interface PathEdge extends Serializable
Represents a directed edge in a Path Graph, which maps to a directed (Derived) Relation Type in the OM. For Relation Types, a direction must be specified.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RelationTypeDirection`
  `getDirection()`
  Returns the direction of the Relation Type.
  `String`
  `getNodeName()`
  Returns the name of the Path Node where the edge ends.
  `int`
  `getRepetitionDepth()`
  Returns the repetition depth, which indicates whether an edge is repeatable and to which depth.
  `MetaResourceReference`
  `getType()`
  Returns the type of the edge.
  `boolean`
  `isSystem()`
  Check if this is a system part or not.

- ## Method Details

  - ### getType

    MetaResourceReference getType()
    Returns the type of the edge. This is a reference to a (Derived) Relation Type.
    Returns:
      the type of the edge

  - ### getDirection

    RelationTypeDirection getDirection()
    Returns the direction of the Relation Type. This is only relevant for Relation Types. Note : this is not the direction of the edge in the graph.
    Returns:
      the direction of the Relation Type

  - ### getRepetitionDepth

    int getRepetitionDepth()
    Returns the repetition depth, which indicates whether an edge is repeatable and to which depth. The value is 1 for an edge which is not repeatable. If the repetition depth is N > 1, the source and target types of the edge relation type must be compatible. The edge represents a subgraph consisting of N simple, parallel paths, with lengths 1, 2, ..., N, where the type and direction of every expanded edge are the same as the original edge.
    Returns:
      the repetition depth

  - ### getNodeName

    String getNodeName()
    Returns the name of the Path Node where the edge ends.
    Returns:
      the name of the Path Node where the edge ends

  - ### isSystem

    boolean isSystem()
    Check if this is a system part or not. System element cannot be removed by any user.
    Returns:
      True if this is a system part. False otherwise.